#containerPlans {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 95px 20px;
}

#containerPlans h2 {
    width: 100%;
    max-width: 600px;
    color: var(--color-text);
    text-align: center;
    font-family: var(--font-primary, sans-serif), sans-serif;
    font-size: 2.75rem;
    font-weight: 500;
    line-height: 1.1;
}

.containerOptionsPlans {
    display: flex;
    align-items: center;
    gap: 15px;
    border-radius: 10px;
    border: 1px solid rgba(14, 52, 42, 0.5);
    width: 100%;
    max-width: 500px;
    height: 48px;
    margin-top: 65px;
    padding: 0 10px;
}

.containerOptionsPlans div {
    flex: 1;
    display: flex;
    align-items: center;
    justify-content: center;
}

.containerOptionsPlans button {
    color: var(--color-text);
    text-align: center;
    font-family: var(--font-secondary, sans-serif), sans-serif;
    font-size: 15px;
    font-weight: 500;
    letter-spacing: 1px;
    text-transform: uppercase;
    cursor: pointer;
    border: none;
    background-color: transparent;
    width: 100%;
    height: 100%;
}

.containerOptionsPlans button.active {
    width: 90%;
    height: 38px;
    border-radius: 6px;
    background-color: rgba(14, 52, 42, 0.15);
}

.containerOptionsPlans button:hover {
    background-color: var(--color-secondary);
    width: 90%;
    height: 38px;
    border-radius: 6px;
}

.plans {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 30px;
    margin-top: 65px;
}

@media (max-width: 768px) {
    #containerPlans {
        padding: 60px 10px;
    }
    
    #containerPlans h2 {
        font-size: 2rem;
    }
    
    .containerOptionsPlans {
        gap: 10px;
        height: 40px;
    }
    
    .containerOptionsPlans button {
        font-size: 12px;
    }

    .containerOptionsPlans button.active {
        height: 30px;
    }
    
    .plans {
        gap: 20px;
    }
}

@media (max-width: 560px) {
    .containerOptionsPlans {
        max-width: 90%;
        height: 40px;
        gap: 8px;
        padding: 0 5px;
    }
    
    .containerOptionsPlans button {
        font-size: 12px;
    }
}

